package com.fos.modules.userPre.entity;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class UserPreEntity extends BaseEntity{

	@JSONField(name="userPreDrinkList")
	private List<UserPreDrinkEntity>  userPreDrinkList;    //用户前3喜爱的喝的
	
	@JSONField(name="userPreDrinkTasteList")
	private List<UserPreDrinkTasteEntity> userPreDrinkTasteList;		//用户前3喜爱喝的口味
	
	@JSONField(name="userPreFoodList")
	private List<UserPreFoodEntity> userPreFoodList;       //用户前3喜爱食物
	
	@JSONField(name="userPreFoodList")
	private List<UserPreFoodTasteEntity> userPreFoodTasteList;    //用户前3喜爱食物口味

	
	public List<UserPreDrinkEntity> getUserPreDrinkList() {
		return userPreDrinkList;
	}
	public void setUserPreDrinkList(List<UserPreDrinkEntity> userPreDrinkList) {
		this.userPreDrinkList = userPreDrinkList;
	}
	public List<UserPreDrinkTasteEntity> getUserPreDrinkTasteList() {
		return userPreDrinkTasteList;
	}
	public void setUserPreDrinkTasteList(List<UserPreDrinkTasteEntity> userPreDrinkTasteList) {
		this.userPreDrinkTasteList = userPreDrinkTasteList;
	}
	public List<UserPreFoodEntity> getUserPreFoodList() {
		return userPreFoodList;
	}
	public void setUserPreFoodList(List<UserPreFoodEntity> userPreFoodList) {
		this.userPreFoodList = userPreFoodList;
	}
	public List<UserPreFoodTasteEntity> getUserPreFoodTasteList() {
		return userPreFoodTasteList;
	}
	public void setUserPreFoodTasteList(List<UserPreFoodTasteEntity> userPreFoodTasteList) {
		this.userPreFoodTasteList = userPreFoodTasteList;
	}
	
	

}
